package hr.genetics.models;

import java.io.Serializable;

import hr.geometrics.Point;

public class Checkpoint implements Serializable {

	private static final long serialVersionUID = 7124332305457910427L;
	
	private Point point;
	private int weight;
	
	public Checkpoint(Point p, int weight) {
		
		this.point = p;
		this.weight = weight;
		
	}

	/**
	 * @return the point
	 */
	public Point getPoint() {
		return point;
	}

	/**
	 * @return the weight
	 */
	public int getWeight() {
		return weight;
	}
	
}
